WebUtil::TextTemplateBase Class Reference

this is the base class for all template Program container classes More...

Inheritance diagram for WebUtil::TextTemplateBase:
[legend]

## Public Member Functions

| constructor (int po=DefaultProgramOptions)
| sets up the object
Program | getProgram ()
| returns the contained Program object

## Protected Attributes

Program | p
| Holds the template generation function.

## Additional Inherited Members

Static Public Member Functions inherited from WebUtil::StaticTextTemplateBase
static string | add (Qore::Program p, string fn, string name, string src)
| adds a template function to a template Program object More...
static string | getContentType (string name)
| returns the content type from the file name, ignores any leading "q" in the extensions, assuming a template
Public Attributes inherited from WebUtil::StaticTextTemplateBase
const | DefaultProgramOptions = PO_REQUIRE_OUR|PO_NO_TOP_LEVEL_STATEMENTS|PO_NO_INHERIT_USER_FUNC_VARIANTS|PO_NO_INHERIT_GLOBAL_VARS|PO_NO_USER_CLASSES|PO_NO_TERMINAL_IO
| default parse options for template Programs
Static Protected Member Functions inherited from WebUtil::StaticTextTemplateBase
static bool | doBlock (string end, reference< string > src, string type, reference< int > i, reference< list< hash >> l)
| a helper method used in parsing
static string | getCode (bool bare_refs, string fmt)
| a helper method that strips dollar signs from code when PO_ALLOW_BARE_REFS is set in the template program

## Detailed Description

this is the base class for all template Program container classes